## pynx 2024.1

=== debian/changelog ===
pynx (2024.1-1) unstable; urgency=medium

  * d/watch: fixed with the new gitlab repository
  * New upstream version 2024.1
  * d/p/0001-fix-sincos_ps_new-missing.patch: Added to fix FTBFS
  * d/control: Added B-D build dependencies for the new version.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 25 Jun 2024 12:39:29 +0200

pynx (2023.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1065481)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 21 Sep 2017 13:13:04 +0200
