## pynx 2024.1.1

=== debian/changelog ===
pynx (2024.1.1-6) unstable; urgency=medium

  * Added autopkgtests (flaky for now)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 12:46:20 +0100

pynx (2024.1.1-5) unstable; urgency=medium

  * d/control
    - hadcode the h5py and hdf5plugin dependecy
    - use at least the backported fabio.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:45:33 +0100

pynx (2024.1.1-4) unstable; urgency=medium

  * relax also pyopencl

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:21:24 +0100

pynx (2024.1.1-3) unstable; urgency=medium

  * d/control: B-D on pyvkfft >= 2024.1.4+ds-3.1~
  * relax scipy dependency to make the package backportable on bookworm

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:11:49 +0100

pynx (2024.1.1-2) unstable; urgency=medium

  * Upstream snapshot
  * debian/patches/0001-support-for-SOLEIL-hermes-beamline.pa
  * d/control: B-D removed python3-numba whcih is optional.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 09 Jan 2025 16:07:21 +0100

pynx (2024.1.1-1) unstable; urgency=medium

  * New upstream version 2024.1.1
  * d/p/0001-fix-hermes-ptycho.patch: Added to fix the hermes code.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 18 Sep 2024 10:23:23 +0200
