=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: science
 Priority: optional
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
-Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-numpy3,
- python3-sphinx-argparse <!nodoc>,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  pandoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all-dev,
- python3-fabio,
+ python3-fabio (>= 2023.6.0-3~),
  python3-h5py,
  python3-hdf5plugin,
  python3-mako,
@@ -24,7 +24,6 @@
  python3-nbsphinx <!nodoc>,
  python3-nbsphinx-link <!nodoc>,
  python3-networkx <!nodoc>,
- python3-numba,
  python3-numexpr,
  python3-numpy,
  python3-nxtomo,
@@ -33,7 +32,7 @@
  python3-psutil,
  python3-pydata-sphinx-theme <!nodoc>,
  python3-pyopencl,
- python3-pyvkfft,
+ python3-pyvkfft (>= 2024.1.4+ds-3.1~),
  python3-scipy,
  python3-setuptools,
  python3-silx,
@@ -91,6 +90,10 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+# for bookworm-backports
+ python3-fabio (>= 2023.6.0-3~),
+ python3-h5py,
+ python3-hdf5plugin,
 Suggests:
  python-pynx-doc,
 Description: Python tools for Nano-structures Crystallography (Python 3)
