=== debian/tests/control ===
# flaky test for now

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 pocl-opencl-icd,
 pynx,
 python3-all,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr, flaky
