## pynx 2025.1

=== debian/changelog ===
pynx (2025.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 14:58:45 +0000

pynx (2025.1-2) unstable; urgency=medium

  * d/t/control: marks test as skip-not-installable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 12:26:31 +0100

pynx (2025.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove duplicate tag
  * apply Multi-Arch hint
  * add Vcs-Browser & Vcs-Git tags

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2025.1
  * Bug fix: "Python SyntaxWarning", thanks to Graham Inggs (Closes:
    #1085817).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 10 Feb 2025 14:30:43 +0100
