=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_test: export http_proxy=127.0.0.1:9
 override_dh_auto_test: export https_proxy=127.0.0.1:9
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} pynx/scripts/pynx-test.py"
+	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} pynx/scripts/pynx_test.py"
 
 override_dh_sphinxdoc:
 # do not build until sphinx_link is available in Debian
