=== debian/tests/control ===
--- 
+++ 
@@ -10,4 +10,4 @@
  @,
  xauth,
  xvfb,
-Restrictions: allow-stderr, flaky
+Restrictions: allow-stderr, flaky, skip-not-installable
